package org.objectweb.jonas.jtests.beans.relation.tier;

/**
 * Local home interface for Tier.
 */
public interface TierLocalHome extends javax.ejb.EJBLocalHome {

    public static final String COMP_NAME = "java:comp/env/ejb/TierLocal";

    public static final String JNDI_NAME = "Rel_Tier_TierLocalHome";

    public TierLocal create(TierValue value) throws javax.ejb.CreateException;

    public java.util.Collection findByTiemorOrTiephy(java.lang.String nom) throws javax.ejb.FinderException;

    public TierLocal findByPrimaryKey(java.lang.Integer pk) throws javax.ejb.FinderException;

}